Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008257opensim[GRID] Other Servicepublic2017-10-25 15:562018-08-24 12:53
Reportermark.shadowblade 
Assigned ToUbitUmarov 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformServer 2016OS0.9.0OS Versionrelease
Product Version0.9.0 
Target VersionFixed in Versionmaster (dev code) 
Summary0008257: Error generating login response
Description2017-10-25 18:43:36,160 WARN (10) - OpenSim.Services.LLLoginService.LLLoginService [LLOGIN SERVICE]: Exception processing login for Damien Shadowblade: MySql.Data.MySqlClient.MySqlException (0x80004005): Unknown column 'UUID' in 'where clause'
   at MySql.Data.MySqlClient.MySqlStream.ReadPacket()
   at MySql.Data.MySqlClient.NativeDriver.GetResult(Int32& affectedRow, Int64& insertedId)
   at MySql.Data.MySqlClient.Driver.NextResult(Int32 statementId, Boolean force)
   at MySql.Data.MySqlClient.MySqlDataReader.NextResult()
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteReader(CommandBehavior behavior)
   at OpenSim.Data.MySQL.MySqlAuthenticationData.Get(UUID principalID)
   at OpenSim.Services.AuthenticationService.PasswordAuthenticationService.Authenticate(UUID principalID, String password, Int32 lifetime, UUID& realID)
   at OpenSim.Services.LLLoginService.LLLoginService.Login(String firstName, String lastName, String passwd, String startLocation, UUID scopeID, String clientVersion, String channel, String mac, String id0, IPEndPoint clientIP, Boolean LibOMVclient) at MySql.Data.MySqlClient.MySqlStream.ReadPacket()
   at MySql.Data.MySqlClient.NativeDriver.GetResult(Int32& affectedRow, Int64& insertedId)
   at MySql.Data.MySqlClient.Driver.NextResult(Int32 statementId, Boolean force)
   at MySql.Data.MySqlClient.MySqlDataReader.NextResult()
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteReader(CommandBehavior behavior)
   at OpenSim.Data.MySQL.MySqlAuthenticationData.Get(UUID principalID)
   at OpenSim.Services.AuthenticationService.PasswordAuthenticationService.Authenticate(UUID principalID, String password, Int32 lifetime, UUID& realID)
   at OpenSim.Services.LLLoginService.LLLoginService.Login(String firstName, String lastName, String passwd, String startLocation, UUID scopeID, String clientVersion, String channel, String mac, String id0, IPEndPoint clientIP, Boolean LibOMVclient)
Steps To ReproduceI've changed my password, tried using different viewers to login, and created a new account and this issue is still ongoing.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm, Singularity
Attached Files

- Relationships

-  Notes
(0032372)
UbitUmarov (administrator)
2017-10-25 17:06

please check robust databases configuration
(0032373)
mark.shadowblade (reporter)
2017-10-25 17:10

It's all as it should be the database, username and password are all matching what's in the database.
(0032593)
GamaTotchi Yoshikawa (reporter)
2018-03-19 14:33

running into the same error when enabling this in Robust.ini:

[AuthenticationService]
    ; for the server connector
    LocalServiceModule = "OpenSim.Services.AuthenticationService.dll:PasswordAuthenticationService"
    Realm = "UserAccounts"

when commenting out:
[AuthenticationService]
    ...
    ;Realm = "UserAccounts"

everything works fine
(0032594)
UbitUmarov (administrator)
2018-03-20 03:11

Yes, that should be ; Realm = "auth"
fixed on master
(0032595)
aiaustin (developer)
2018-03-20 04:46

I note that all my tables on (Windows) MySQL are lower case... e.g. "useraccounts". The commit changes the case to "UserAccounts".

Just checking. It may make no difference on MySQL and perhaps it is for compatibility for other DB choices?
(0032596)
mewtwo0641 (reporter)
2018-03-20 05:49

@aiaustin - If I recall correctly, table names are not case-sensitive on Windows MySQL but they are on Linux installs. I am guessing that this change will make no difference in your case since you specified that you're using Windows but it might on Linux installs of OpenSim although I'm not entirely sure.
(0032597)
UbitUmarov (administrator)
2018-03-20 09:39
edited on: 2018-03-20 09:42

I made that coherent with source code

(0032598)
GamaTotchi Yoshikawa (reporter)
2018-03-20 14:20

@mewtwo0641 yes, it's case sensitive (at least on my side, running it all on linux), the table create by OS on my side is spelled (case sensitive) UserAccounts

@UbitUmarov with Realm = "auth" it's working well, thanks a lot!
(0032599)
UbitUmarov (administrator)
2018-03-20 14:38

you can keep those 2 commented, they are set to the defaults by the code, the options are only there if someone renames the tables for any reason...

- Issue History
Date Modified Username Field Change
2017-10-25 15:56 mark.shadowblade New Issue
2017-10-25 17:06 UbitUmarov Note Added: 0032372
2017-10-25 17:10 mark.shadowblade Note Added: 0032373
2018-03-19 14:33 GamaTotchi Yoshikawa Note Added: 0032593
2018-03-20 03:11 UbitUmarov Note Added: 0032594
2018-03-20 04:46 aiaustin Note Added: 0032595
2018-03-20 05:49 mewtwo0641 Note Added: 0032596
2018-03-20 09:39 UbitUmarov Note Added: 0032597
2018-03-20 09:42 aiaustin Note Edited: 0032597 View Revisions
2018-03-20 14:20 GamaTotchi Yoshikawa Note Added: 0032598
2018-03-20 14:38 UbitUmarov Note Added: 0032599
2018-08-24 12:53 Fly-Man- Status new => resolved
2018-08-24 12:53 Fly-Man- Fixed in Version => master (dev code)
2018-08-24 12:53 Fly-Man- Resolution open => fixed
2018-08-24 12:53 Fly-Man- Assigned To => UbitUmarov


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker